Subject: Re: MultiPath Routing

From: Christian Schmid <[email-masked]>
Date: Fri, 06 May 2005 13:16:46 +0200

I tried disabling MULTIPATH_CACHED and now it completely works :) Thank you for your help. I thought 
your hint only is for NATed traffic but it seems its for all traffic.

Herbert Xu wrote:
> Christian Schmid <[email-masked]> wrote:
> 
>>Yes I enabled it. But it shouldnt do anything because its no forwarded traffic here. I just used 
>>example-IPs. Or does the bug also break non-forwarded traffic?
> 
> 
> Did you select one of the multipath algorithm options? If you selected
> them as modules did you load them? If no algorithms are available it
> will degenerate into deterministic routing.
> 
> It will also work properly if you disable IP_ROUTE_MULTIPATH_CACHED
> completely.
> 
> Cheers,